Logstash 6.5 - FATAL: auth_param digest program /usr/lib/squidi/digest_file_auth: (2) No such file or directory


(Sjaak) #1

Hi,

Just tried to upgrade 6.1 to 6.5 and getting this error FATAL: auth_param digest program /usr/lib/squidi/digest_file_auth: (2) No such file or directory

Looks like something in the installer is pointing to a completely incorrect path? I think it should be squid3 instead of squidi.

How can I fix this? Trying to go back to a previous version doesn't appear to be working either.

Edit: The error occurs during installation but it doesn't appear to be preventing Logstash from running. I'm using ubuntu 16.04 on AWS.


(Guy Boertje) #2

Does any of this make sense? https://community.spiceworks.com/topic/2083847-problems-enabling-digest-authentication-in-squid3-on-ubuntu-16-04